Class DbxAppCheckRequests

java.lang.Object
com.dropbox.core.v2.check.DbxAppCheckRequests

public class DbxAppCheckRequests extends Object
Routes in namespace "check".
  • Constructor Summary

    Constructors
    Constructor
    Description
     
  • Method Summary

    Modifier and Type
    Method
    Description
    app()
    This endpoint performs App Authentication, validating the supplied app key and secret, and returns the supplied string, to allow you to test your code and connection to the Dropbox API.
    app(String query)
    This endpoint performs App Authentication, validating the supplied app key and secret, and returns the supplied string, to allow you to test your code and connection to the Dropbox API.

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Constructor Details

    • DbxAppCheckRequests

      public DbxAppCheckRequests(DbxRawClientV2 client)
  • Method Details

    • app

      This endpoint performs App Authentication, validating the supplied app key and secret, and returns the supplied string, to allow you to test your code and connection to the Dropbox API. It has no other effect. If you receive an HTTP 200 response with the supplied query, it indicates at least part of the Dropbox API infrastructure is working and that the app key and secret valid.

      The query request parameter will default to "" (see app(String)).

      Returns:
      EchoResult contains the result returned from the Dropbox servers.
      Throws:
      EchoErrorException
      DbxException
    • app

      public EchoResult app(String query) throws EchoErrorException, DbxException
      This endpoint performs App Authentication, validating the supplied app key and secret, and returns the supplied string, to allow you to test your code and connection to the Dropbox API. It has no other effect. If you receive an HTTP 200 response with the supplied query, it indicates at least part of the Dropbox API infrastructure is working and that the app key and secret valid.
      Parameters:
      query - The string that you'd like to be echoed back to you. Must have length of at most 500 and not be null.
      Returns:
      EchoResult contains the result returned from the Dropbox servers.
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      EchoErrorException
      DbxException